# Based on https://docs.gitlab.com/ee/ci/examples/test-and-deploy-python-application-to-heroku.html
# This file is a template, and might need editing before it works on your project.
# Official language image. Look for the different tagged releases at:
# https://hub.docker.com/r/library/python/tags/
image: python:latest

# Change pip's cache directory to be inside the project directory since we can
# only cache local items.
variables:
  PIP_CACHE_DIR: "$CI_PROJECT_DIR/.cache/pip"

# Pip's cache doesn't store the python packages
# https://pip.pypa.io/en/stable/reference/pip_install/#caching
#
# If you want to also cache the installed packages, you have to install
# them in a virtualenv and cache it as well.
cache:
  paths:
    - .cache/pip
    - venv/

before_script:
  - apt-get update -qy
  - apt-get install -y libpq-dev
  - python -V  # Print out python version for debugging
  - python -m pip install --upgrade pip
  - python -m pip install virtualenv wheel
  - virtualenv venv
  - source venv/bin/activate

#test:
#  script:
#    - python -m pip install .[dev]
#    - python -m pip install tox flake8  # you can also use tox
#    - tox -e py36,flake8

run:
  script:
    - python -m pip install .
  only:
    - master

pages:
  script:
    - python -m pip install .[docs]
    - cd docs ; make html
    - mv build/html/ ../public/
  artifacts:
    paths:
      - public
  only:
    - master